This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 730520 - (CVE-2011-2981) CVE-2011-2981 Mozilla: Privilege escalation using event handlers
CVE-2011-2981 Mozilla: Privilege escalation using event handlers
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
public=20110816,reported=20110814,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-14 00:19 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-03-01 04:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 12:35:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2011-08-14 00:19:12 EDT
Mozilla security researcher moz_bug_r_a_4 reported a vulnerability in event management code that would permit JavaScript to be run in the wrong context, including that of a different website or potentially in a chrome-privileged context.
Comment 1 Vincent Danen 2011-08-16 13:35:40 EDT
This is now public:

http://www.mozilla.org/security/announce/2011/mfsa2011-30.html
Comment 2 errata-xmlrpc 2011-08-16 14:45:11 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:1164 https://rhn.redhat.com/errata/RHSA-2011-1164.html

Note You need to log in before you can comment on or make changes to this bug.